# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ScheduledAction Class Reference

An action (either function or string) to be executed after a specified time interval, either once or repeatedly. More...

`#include <kjs_window.h>`

Collaboration diagram for KJS::ScheduledAction:

[legend]
List of all members.

## Public Member Functions

| ScheduledAction (Object _func, List _args, QTime _nextTime, int _interval, bool _singleShot, int _timerId)
| ScheduledAction (QString _code, QTime _nextTime, int _interval, bool _singleShot, int _timerId)
bool | execute (Window *window)
void | mark ()

## Public Attributes

ObjectImp * | func
List | args
QString | code
bool | isFunction
bool | singleShot
QTime | nextTime
int | interval
bool | executing
int | timerId

## Detailed Description

An action (either function or string) to be executed after a specified time interval, either once or repeatedly.

Used for window.setTimeout() and window.setInterval()

Definition at line 177 of file kjs_window.h.

The documentation for this class was generated from the following files:

- kjs_window.h
- kjs_window.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003